# Get Tags

This API endpoint retrieves tags under a TLC

Endpoint: GET /api/v1/tags
Version: 1.0.0
Security: x-api-key

## Query parameters:

  - `allowRedirect` (boolean)
    If set to true, the API will return a 303 redirect response if the response payload is too large. The field body.data.url will include the URL to the actual resource.
    Example: true

## Response 200 fields (application/json):

  - `id` (string)
    Example: "5e94d5b63f557b001420bbe3"

  - `name` (string)
    Example: "journal_entry"

  - `type` (string)
    Example: "CUSTOM"

  - `category` (string)
    Example: "GENERAL"

  - `tlcId` (string)
    Example: "5e94d5b63f557b001420bbe3"

  - `deactivationTime` (string,null)

## Response 400 fields (application/json):

  - `message` (string)
    Reason for the errors related to incorrect tag name
    Example: "Invalid tag name"

  - `name` (string)
    BadRequest
    Example: "BadRequest"

  - `status` (integer)
    The HTTP status code.
    Example: 400

## Response 401 fields (application/json):

  - `message` (string)
    Reason for the error such as incorrect service access, malformed, expired or deactivated token.
    Example: "Invalid token"

  - `name` (string)
    Unauthorized
    Example: "Unauthorized"

  - `status` (integer)
    The HTTP status code.
    Example: 401


